import { TemplateRef, ElementRef, ChangeDetectorRef, OnChanges, OnDestroy } from '@angular/core';
import { TdChartOptionsService, TdTooltipTrigger, TdTooltipTriggerOn, TdTooltipPosition } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
export declare class TdTooltipContext {
    $implicit: any;
    ticket: string;
}
export declare class TdChartTooltipFormatterDirective {
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartTooltipFormatterDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TdChartTooltipFormatterDirective, "ng-template[tdTooltipFormatter]", never, {}, {}, never, never, false, never>;
}
export declare class TdChartTooltipComponent implements OnChanges, OnDestroy {
    private _changeDetectorRef;
    private _elementRef;
    private _optionsService;
    private _state;
    _context: TdTooltipContext;
    config: any;
    show?: boolean | undefined;
    trigger?: TdTooltipTrigger;
    axisPointer: any;
    showContent?: boolean | undefined;
    alwaysShowContent?: boolean | undefined;
    triggerOn?: TdTooltipTriggerOn;
    showDelay?: number | undefined;
    hideDelay?: number | undefined;
    enterable?: boolean | undefined;
    renderMode?: 'html' | 'richText';
    confine: boolean;
    transitionDuration: number;
    position?: TdTooltipPosition;
    formatter?: string | Function;
    backgroundColor?: string | undefined;
    borderColor?: string | undefined;
    borderWidth?: number | undefined;
    padding?: number | undefined;
    textStyle: any;
    extraCssText?: string;
    formatterTemplate: TemplateRef<any>;
    fullTemplate: TemplateRef<any>;
    constructor(_changeDetectorRef: ChangeDetectorRef, _elementRef: ElementRef, _optionsService: TdChartOptionsService);
    ngOnChanges(): void;
    ngOnDestroy(): void;
    private _setOptions;
    private _removeOption;
    private _formatter;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartTooltipComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartTooltipComponent, "td-chart-tooltip", never, { "config": "config"; "show": "show"; "trigger": "trigger"; "axisPointer": "axisPointer"; "showContent": "showContent"; "alwaysShowContent": "alwaysShowContent"; "triggerOn": "triggerOn"; "showDelay": "showDelay"; "hideDelay": "hideDelay"; "enterable": "enterable"; "renderMode": "renderMode"; "confine": "confine"; "transitionDuration": "transitionDuration"; "position": "position"; "formatter": "formatter"; "backgroundColor": "backgroundColor"; "borderColor": "borderColor"; "borderWidth": "borderWidth"; "padding": "padding"; "textStyle": "textStyle"; "extraCssText": "extraCssText"; }, {}, ["formatterTemplate"], never, false, never>;
}
